%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  GpGp
%global packver   0.5.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.5.1
Release:          1%{?dist}%{?buildtag}
Summary:          Fast Gaussian Process Computation Using Vecchia's Approximation

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildRequires:    R-CRAN-Rcpp >= 0.12.13
BuildRequires:    R-CRAN-FNN 
BuildRequires:    R-CRAN-RcppArmadillo 
BuildRequires:    R-CRAN-BH 
Requires:         R-CRAN-Rcpp >= 0.12.13
Requires:         R-CRAN-FNN 

%description
Functions for fitting and doing predictions with Gaussian process models
using Vecchia's (1988) approximation. Package also includes functions for
reordering input locations, finding ordered nearest neighbors (with help
from 'FNN' package), grouping operations, and conditional simulations.
Covariance functions for spatial and spatial-temporal data on Euclidean
domains and spheres are provided. The original approximation is due to
Vecchia (1988) <http://www.jstor.org/stable/2345768>, and the reordering
and grouping methods are from Guinness (2018)
<doi:10.1080/00401706.2018.1437476>. Model fitting employs a Fisher
scoring algorithm described in Guinness (2019)
<doi:10.48550/arXiv.1905.08374>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
